# Class MemoryUser

java.lang.Object
org.apache.catalina.users.AbstractUser
org.apache.catalina.users.GenericUser<MemoryUserDatabase>
org.apache.catalina.users.MemoryUser

All Implemented Interfaces:
  `Principal, User`

@Deprecated public class MemoryUser extends GenericUser<MemoryUserDatabase>
Deprecated.
Use `GenericUser` instead.

Concrete implementation of `User` for the `MemoryUserDatabase` implementation of `UserDatabase`.

Since:
  4.1

## Field Summary

### Fields inherited from class GenericUser

`database, groups, roles`

### Fields inherited from class AbstractUser

`fullName, password, username`

## Method Summary

Modifier and Type
Method
Description
`String`
`toString()`
Deprecated.
Return a String representation of this user.
`String`
`toXml()`
Deprecated.
Return a String representation of this user in XML format.

### Methods inherited from class GenericUser

`addGroup, addRole, equals, getGroups, getRoles, getUserDatabase, hashCode, isInGroup, isInRole, removeGroup, removeGroups, removeRole, removeRoles, setFullName, setPassword, setUsername`

### Methods inherited from class AbstractUser

`getFullName, getName, getPassword, getUsername`

### Methods inherited from class Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface Principal

`implies`

## Method Details

### toXml

public String toXml()
Deprecated.

Return a String representation of this user in XML format.

IMPLEMENTATION NOTE - For backwards compatibility, the reader that processes this entry will accept either `username` or `name` for the username property.

Returns:
  the XML representation

### toString

public String toString()
Deprecated.

Return a String representation of this user.

Specified by:
  `toString` in interface `Principal`
Overrides:
  `toString` in class `Object`